[linux-dvb] sync changes in 2.6.12-rc4

Johannes Stezenbach js at linuxtv.org
Sat May 7 15:21:57 CEST 2005


On Sat, May 07, 2005 at 06:10:12AM -0700, C.Y.M wrote:
> Johannes Stezenbach wrote:
> > I'm currently generating a new DVB patchset against 2.6.12-rc4.
> > Although I recognize that these version dependencies would make
> > life easier for people who want to use CVS with older kernels,
> > they would make my job more diffcult, as I cannot submit code
> > with them upstream. So I don't want to commit your patch.
> > 
> > My plan is that starting with 2.6.12 I will put patchsets
> > in the download area that work with the latest stable
> > kernel, while CVS will work with the latest -rc. For now
> > you'll just have to keep your patch around seperately.
> > 
> 
> Does that mean all the other version dependencies are going to be removed?  It
> almost seems like more work to keep a patch set for latest stable synced with
> CVS.  But, its your call..

I'll have to do the patchsets anyway, and I think it will be easier to
update them more frequently than working through a huge amount of
patches every other month.

Regarding version dependencies: I would like to remove them from CVS,
but in case of the saa7146 driver Michael Hunold would object, I think,
because the analog saa7146 card drivers use it...

I think Gerd Knorr has a script to automatically remove them when
creating patches, maybe I'll look into that.

Johannes




More information about the linux-dvb mailing list